Authentication
Base URL: https://accounts.iqmetrix.net
Endpoints
| Endpoint | Description |
|---|---|
POST v1/oauth2/token | Base URL: https://accounts.iqmetrix.net |
POST v1/oauth2/token
Base URL: https://accounts.iqmetrix.net
Request Information
URI Parameters
None.
Body Parameters
All fields are required
AuthenticationPost
| Name | Description | Type | Additional information |
|---|---|---|---|
| grant_type | grant_type is always password for API integrations | string | None. |
| username | Username given to you in the Onboarding Package | string | None. |
| password | Password given to you in the Onboarding Package | string | None. |
| client_id | Client Id given to you in the Onboarding Package | string | None. |
| client_secret | Client Secrect given to you in the Onboarding Package | string | None. |
Request Formats
application/x-www-form-urlencoded
grant_type=value&username=value&password=value&client_id=value&client_secret=value
Response Information
Resource Description
AuthenticationReturn
| Name | Description | Type | Additional information |
|---|---|---|---|
| access_token | This is the Bearer token that you will use to make all other API calls | string | None. |
| expires_in | This token expires in about 12 hours | integer | None. |
| refresh_token | I would not use this just get a fresh token like in this call. | string | None. |
Response Formats
application/json, text/json
{
"access_token": "sample string 1",
"expires_in": 2,
"refresh_token": "sample string 3"
}